/*
 * Copyright COCKTAIL (www.cocktail.org), 1995, 2012 This software
 * is governed by the CeCILL license under French law and abiding by the
 * rules of distribution of free software. You can use, modify and/or
 * redistribute the software under the terms of the CeCILL license as
 * circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 * As a counterpart to the access to the source code and rights to copy, modify
 * and redistribute granted by the license, users are provided only with a
 * limited warranty and the software's author, the holder of the economic
 * rights, and the successive licensors have only limited liability. In this
 * respect, the user's attention is drawn to the risks associated with loading,
 * using, modifying and/or developing or reproducing the software by the user
 * in light of its specific status of free software, that may mean that it
 * is complicated to manipulate, and that also therefore means that it is
 * reserved for developers and experienced professionals having in-depth
 * computer knowledge. Users are therefore encouraged to load and test the
 * software's suitability as regards their requirements in conditions enabling
 * the security of their systems and/or data to be ensured and, more generally,
 * to use and operate it in the same conditions as regards security. The
 * fact that you are presently reading this means that you have had knowledge
 * of the CeCILL license and that you accept its terms.
 */
package org.cocktail.preinscription.serveur.components;

import org.cocktail.fwkcktlwebapp.common.util.DateCtrl;
import org.cocktail.fwkcktlwebapp.common.util.StringCtrl;
import org.cocktail.preinscription.serveur.Application;
import org.cocktail.scolarix.serveur.interfaces.IEtudiant;

import com.webobjects.appserver.WOActionResults;
import com.webobjects.appserver.WOComponent;
import com.webobjects.appserver.WOContext;
import com.webobjects.appserver.WORedirect;
import com.webobjects.foundation.NSTimestamp;

// Generated by the WOLips Templateengine Plug-in at 6 juin 2008 05:52:39
public class ApresEnregistrement extends MyComponent {
	public ApresEnregistrement(WOContext context) {
		super(context);
	}

	public IEtudiant etudiant() {
		return session.etudiant();
	}

	public WOActionResults imprimer() {
		return session.ctrlImpression().imprimerLeDossierDePreInscription();
	}

	public WOComponent accueil() {
		Accueil page = (Accueil) session.getSavedPageWithName(Accueil.class.getName());
		page.setOnloadJS(null);
		session.setIsApresEnregistrer(false);
		return page;
	}

	public WOComponent prendreRdv() {
		Integer numero = etudiant().numero();
		NSTimestamp dateDeNaissance = etudiant().individu().dNaissance();
		String webRdvUrl = Application.webRdvURL;
		String queryString = "ControlerIdentification?";

		queryString = queryString + "NumeroEtudiant=" + StringCtrl.extendWithChars(numero.toString(), "0", 8, true);
		queryString = queryString + "&JourNaissance=" + DateCtrl.dateToString(dateDeNaissance, "%d");
		queryString = queryString + "&MoisNaissance=" + DateCtrl.dateToString(dateDeNaissance, "%m");
		queryString = queryString + "&AnneeNaissance=" + DateCtrl.dateToString(dateDeNaissance, "%y");
		WORedirect nextPage = (WORedirect) pageWithName(WORedirect.class.getName());
		nextPage.setUrl(webRdvUrl + queryString);
		// FIXME pdm ajoute les 00 pour retrouver le diant-diant dans le retourRdvAction...
		Application.dicoSessionIDNumeroEtudiant().setObjectForKey(session.sessionID(), StringCtrl.extendWithChars(numero.toString(), "0", 8, true));

		return (nextPage);
	}

	public boolean isRendezVousPossible() {
		return (etudiant().isRendezVousPossible() && Application.webRdvURL != null && Application.webRdvURL.length() > 0);
	}

}